org.apache.ignite.internal.commandline.tracing.configuration

## Enum TracingConfigurationCommandArg

- java.lang.Object
- - java.lang.Enum<TracingConfigurationCommandArg>
  - - org.apache.ignite.internal.commandline.tracing.configuration.TracingConfigurationCommandArg

All Implemented Interfaces:
  Serializable, Comparable<TracingConfigurationCommandArg>, CommandArg

    public enum TracingConfigurationCommandArg
    extends Enum<TracingConfigurationCommandArg>
    implements CommandArg

`CommandList.TRACING_CONFIGURATION` command arguments.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INCLUDED_SCOPES` Set of `Scope` that defines which sub-traces will be included in given trace.
`LABEL` Specify the label of a traced operation.
`SAMPLING_RATE` Number between 0 and 1 that more or less reflects the probability of sampling specific trace. 0 and 1 have special meaning here, 0 means never 1 means always.
`SCOPE` Specify the `Scope` of a trace's root span to which some specific tracing configuration will be applied.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `argName()` {inheritDoc}
`static Set<String>` `args()`
`static TracingConfigurationCommandArg` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TracingConfigurationCommandArg[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SCOPE

    public static final TracingConfigurationCommandArg SCOPE

Specify the `Scope` of a trace's root span to which some specific tracing configuration will be applied.

#### LABEL

    public static final TracingConfigurationCommandArg LABEL

Specify the label of a traced operation. It's an optional attribute.

#### SAMPLING_RATE

    public static final TracingConfigurationCommandArg SAMPLING_RATE

Number between 0 and 1 that more or less reflects the probability of sampling specific trace. 0 and 1 have special meaning here, 0 means never 1 means always. Default value is 0 (never).

#### INCLUDED_SCOPES

    public static final TracingConfigurationCommandArg INCLUDED_SCOPES

Set of `Scope` that defines which sub-traces will be included in given trace. In other words, if child's span scope is equals to parent's scope or it belongs to the parent's span included scopes, then given child span will be attached to the current trace, otherwise it'll be skipped. See `Span.isChainable(Scope)` for more details.

### Method Detail

#### values

    public static TracingConfigurationCommandArg[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TracingConfigurationCommandArg c : TracingConfigurationCommandArg.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TracingConfigurationCommandArg valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### args

    public static Set<String> args()

Returns:
  List of arguments.

#### argName

    public String argName()

{inheritDoc}

Specified by:
  `argName` in interface `CommandArg`
Returns:
  Argument name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020